<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Snapfolio
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo('charset'); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#primary"><?php esc_html_e('Skip to content', 'snapfolio'); ?></a>
	<header id="masthead" class="site-header" role="banner">
		<div class="header-image-logo" <?php if( get_header_image() != '' ){ ?>style="background-image:url('<?php echo esc_url(get_header_image()); ?>');" <?php } ?>>
				<?php
					
						do_action ('snapfolio_header_image_content_show');

				?>
		</div> <!-- end .header-image-logo -->				
					<!-- Main Header -->
					<div id="main-menu" class="clear">
						<div class="wrapper">
							<div class="main-header clear">
								<div id="site-branding">
									<?php the_custom_logo(); ?>
									<div id="site-detail">
										<div class="site-title">
											<a href="<?php echo esc_url(home_url('/')); ?>" rel="home"><?php bloginfo('name'); ?></a>
										</div>
										
										<?php
											$snapfolio_description = get_bloginfo('description', 'display');
											if ($snapfolio_description || is_customize_preview()): ?>
												<p class="site-description"><?php echo $snapfolio_description; ?></p>
											<?php
										endif; ?>
									
									</div>
								</div> <!-- end #site-branding -->
								<!-- Main Nav  -->
								 
								<button class="menu-toggle" id="menu-toggle" aria-controls="primary-menu" aria-expanded="false" type="button">
									<i class="fas fa-bars"></i>
								</button>
								<div class="menu-container">
									<nav id="site-navigation" class="main-navigation clear" role="navigation" aria-label="<?php esc_attr_e('Primary Menu', 'snapfolio'); ?>">	
										<?php
											$args = array(
												'theme_location' => 'menu-1',
												'container' => 'ul',
											);

											wp_nav_menu($args);
											?>
												<button id="close-btn" class="close-btn" tabindex="1"><i class="fas fa-xmark"></i></button>
																			 
									</nav><!-- end #site-navigation -->
								</div><!-- end .menu-container -->
							</div>
							<!-- end .main-header -->
						</div>
						<!-- end .wrapper -->
					</div>
					<!-- end #main -->

	</header> <!-- end #masthead -->
	<div id="site-content-contain" class="site-content-contain">
		<div id="content" class="site-content">
			<div class="wrapper">